import { Expression } from '../types/expression';
import { Value } from '../types/value';
import { Source } from '../types/source';
export declare function combineExpressions(expressions: Expression[]): Expression[];
export declare function expandExpression(expr: Expression, source: Source): Expression[];
export declare function transformTokensInValue(v: Value): Value;
export declare function transformExpression(expr: Expression, source: Source): Expression;
